<script type="text/javascript">	
$(document).ready(function(){
	cari_tgl();
	
	function cari_tgl(){
		var no = 1;
		$.ajax({
			type	: "POST",
			url		: "modul/report/cari_tanggal.php",
			data	: "no="+no,
			dataType: "json",
			success	: function(data){				
				$("#t_tanggal").val(data.tanggal);
			}
		});
	}
	
	$("#cari").click(function(){		
		var tanggal = $("#t_tanggal").val();
		var level	= $(".radio_level:checked").val();
		var cek_level= $(".radio_level:checked");
		
		if(cek_level.length==0){
			alert('Maaf, Level neraca belum dipilih.')
			return (false);
		}
		
		if(tanggal.length==''){
			alert('Maaf, Tanggal laporan masih kosong.');
			$("#t_tanggal").focus();
			return false;
		}
		
		$("#data_nrc").show();		
		$("#data_nrc").load('modul/report/tampil_data_nrc.php?tanggal='+tanggal+'&level='+level);		
	});
	
	$("#cetak").click(function(){
		var tanggal = $("#t_tanggal").val();
		var level	= $(".radio_level:checked").val();
		var cek_level = $(".radio_level:checked");
		
		if(cek_level.length==0){
			alert('Maaf, Level neraca belum dipilih.')
			return (false);
		}
		
		if(tanggal.length==''){
			alert('Maaf, Tanggal laporan masih kosong.');
			$("#t_tanggal").focus();
			return false;
		}	
		window.location.href='modul/laporan/neraca.php?tanggal='+tanggal+'&level='+level;
	});
	
	$("#tutup").click(function(){
		document.location='?module=home';
	});
});
</script>

<style type="text/css">
#filter {
	font-size:12px;
	font-weight:bold;
	color:#F00;
}
</style>

<?php
include '../../inc/inc.koneksi.php';

$tanggal=date('m-d-Y');
echo "<div span='12' style='background-color:white'>";
echo "<div id='form' align='center'><h2>LAPORAN NERACA PERUSAHAAN<h2></div>";
echo "<div id='filter' align='left'>
	<fieldset>
		<legend>Filter Data </legend>
		<table>
			<tr>
				<td>Per Tanggal</td>
				<td>:</td>				
				<td><input type='date' name='t_tanggal' id='t_tanggal' value='$tanggal' ></td>
				<td>Level</td>
				<td>:</td>
				<td><input type='radio' name='txt_level' id='txt_level' value='1' class='radio_level'>1</td>
				<td><input type='radio' name='txt_level' id='txt_level' value='2' class='radio_level'>2</td>
				<td width='50%' align='right'>
					<button name='cari' id='cari'>Cari</button>
					<button name='cetak' id='cetak'>Cetak</button>					
					<button name='tutup' id='tutup'>Tutup</button>
				</td>
			</tr>
		</table>
	</fieldset>
	</div><br>";
	
echo "<div id='data_nrc' align='center'></div>";

echo "</div>";
?>
